Summary:	Integrated development environment for C and C++ (Linux)
Name:		anjuta
Version:	1.2.4a
Release:	%mkrel 1
License:	GPL
Group:		Development/Other
URL:		http://anjuta.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/anjuta/%{name}-%{version}.tar.bz2
# Use autoconf 2.5.x whenever anjuta runs autogen.sh
Patch0:		%{name}-1.1.98-autoconf-2.5.patch 
# paralle make breaks in scintilla
Patch1:		%{name}-1.2.1-parallel-make.patch
# amd64 fix
Patch2:		%{name}-lib64.patch
Patch3:		%{name}-amd64-pointer.patch
# gtk+2.8.9 fix
Patch4:		%{name}-gtk+2.8.9.patch
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	vte-devel >= 0.9
BuildRequires:	scrollkeeper
BuildRequires:	ImageMagick
BuildRequires:	perl(XML::Parser)
BuildRequires:  desktop-file-utils
# It scans for sdl-config and wx-config, in order to generate tags
# for SDL/wxGTK headers
BuildRequires:	SDL1.2-devel
BuildRequires:	wxGTK-devel
# (Abel) FIXME: building various kind of projects will need different
# devel packages?
Requires:	cvs
Requires:	devhelp >= 0.6
Requires:	gdb
Requires:	glademm >= 2.0.0
Requires:	glade2 >= 2.0.0
Requires:	gnome-terminal
Requires:	indent
Requires:	make
Requires:	patch
Requires:	libgnomemm2.0-devel
Requires:	wxGTK-devel
Requires:	autoconf
Requires:	automake
Requires:	autoconf2.5
# To be removed after MDK 10
Obsoletes:	libanjuta0 libanjuta0-devel
Provides:	libanjuta0 libanjuta0-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Anjuta is a versatile IDE for C and C++, written for GTK/GNOME. Features
include project management, application wizards, an onboard interactive
debugger, and a powerful source editor with browsing and syntax
highlighting.

This version of anjuta is the GNOME 2 port of anjuta 1.0, which
was for GNOME 1.x originally. The one written from scratch and
for GNOME 2 from the start has been renamed "Scaffold".

%prep
%setup -q
%patch0 -p0 -b .useautoconf25
%patch1 -p1 -b .parallel
%patch2
%patch4 -p0 -b .gtk+2.8.9

perl -pi -e "s|\@\@LIB\@\@|%_lib|" configure


%build
%configure2_5x
# parallel build is broken
%make

%install
rm -rf %{buildroot}
%makeinstall_std

perl -pi -e "s|\r\n|\n|" %{buildroot}%{_datadir}/%{name}/properties/*.properties doc/ScintillaDoc.html

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/anjuta" \
title="Anjuta IDE" \
longtitle="Anjuta Integrated Development Environment for C/C++" \
needs="x11" \
icon="%{name}.png" \
section="More Applications/Development/Development Environments" \
startup_notify="yes" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="IDE" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
 
# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       pixmaps/applogo.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/applogo.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/applogo.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome
 
# remove unneeded files
rm -f %{buildroot}%{_libdir}/%{name}/*.la \
      %{buildroot}%{_libdir}/%{name}/*.a
rm -rf %{buildroot}/%{_docdir}

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
 
%postun
%clean_menus 
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog COPYING FUTURE NEWS README ABOUT-NLS
%doc TODO doc/ScintillaDoc.html
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_datadir}/mime-info/*
%{_datadir}/mimelnk/application/*
%{_datadir}/pixmaps/*
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog
* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 1.2.4a-1mdv2007.0
+ Revision: 131985
- New version 1.2.4a

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.4-5mdv2007.1
+ Revision: 73115
- Add BuildRequires
- import anjuta-1.2.4-4mdv2007.0


* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.4-4mdv2007.0
- Rebuild with latest dbus
- xdg menu

* Mon Feb 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdk
- fix deps

* Thu Feb 23 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdk
- added fixes from Shiva Huang <shivahuang@gmail.com>:
  - fix crash with gtk+2.8.9
- fix deps

* Sun Nov 06 2005 Michael Scherer <misc@mandriva.org> 1.2.4-1mdk
- New release 1.2.4
- rediff patch1
- remove patch3, applied upstream ( adm64 )

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-4mdk
- Fix BuildRequires
- %mkrel

* Fri Mar 25 2005 Couriousous <couriousous@mandrake.org> 1.2.2-3mdk
- Amd64 fixes (libdir + patch from debian)
- Fix menu

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Rebuild

* Thu Apr 22 2004 Michael Scherer <misc@mandrake.org> 1.2.2-1mdk 
- 1.2.2
- rpmbuildupdate aware

* Thu Feb 12 2004 Abel Cheung <deaddog@deaddog.org> 1.2.1-1mdk
- New version
- Patch1: parallel make now works
- Add more dependencies required by various kind of projects

* Mon Dec 08 2003 Michael Scherer <misc@mandrake.org> 1.2.0-1mdk
- 1.2.0
- Remove patch2, not used

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.98-2mdk
- Franck Villaume <fvill@freesurf.fr>
  - uncomment line BuildRequires : scrollkeeper

* Tue Nov 11 2003 Abel Cheung <deaddog@deaddog.org> 1.1.98-1mdk
- 1.1.98
- Rediff patch0
- some BuildRequires fixes for 64bit arch

* Mon Aug 11 2003 Abel Cheung <maddog@linux.org.hk> 1.1.97-2mdk
- Unmklibnamedification: no lib in lib, no devel in devel.
- Don't pull in 20 GNOME 1.x packages
- Add StartupNotify to menu entry
- Use stock icon in menu entry
- TODO: Get the Requires right

